PDA

Bekijk de volledige versie : How do I compile 'stuff' on the WL700ge?



neil
09-01-2008, 10:10
Hi,

Simple question: how exactly do I compile source code on the asus - or rather, what packages do I need to get gcc etc: I've done ipkg install buildroot and ipkg install optware-devel but none have it?

Slightly longer question: this came about because I need to compile the latest version of Fuppes (media server) - the one in the normal ipkg repository is a bit out of date, and doesn't have the latest features (specifically, it allows virtual folders, so when my xbox360 connects to it I hopefully won't get one big long list of all my music files on my wl700ge, ala ushare). Looks as if this is the best media server route, given (1) twonkymedia costs money and (2) ushare doesn't pass the metadata needed by the 360 to have subfolders per album etc.

I've got the latest fuppes source, done "./configure" in its directory, but it says 'no gcc present' or some such in its output. Obviously you guys are compiling stuff on yer little white boxes, but i'm missing a step!

If i can get this going, i'll also look into why the latest "cups" printer daemon doesn't play nice on the asus too.

muckinger
09-01-2008, 21:21
Im also interested to get Fuppes onto the wl700ge. Seams to be a very interesting Media Server beside twonkymedia. Want to use it also with my Xbox360.

kfurge
10-01-2008, 01:09
Install the buildroot package. If I remember correctly, its the one that contains gcc.

- K.C.

neil
10-01-2008, 14:42
Many thanks - yes, that did it: apparently i needed "-force-overwrite" switch in the ipkg install otherwise it didn't work for me!

Is there anything I need worry about with regards to compiling? i.e. memory usage being too great, using some form of tmp space on the hdd rather than in ram etc. otherwise i'll just plough on...(already hitting problems in compiling fuppes with destructors in teh code - gives me 'internal compiler error'; nothing's every easy !)

neil
10-01-2008, 15:26
Ok, fuppes-specific compilation issue #1:

Downloaded fuppes SVN-578 (-549 has similar issue), change all the config scripts to use /opt/bin/bash instead of /bin/sh,

do



# ./configure --prefix=/opt
# make


and get the error:



make[2]: Entering directory `/shares/MYVOLUME1/MYSHARE1/fuppes-SVN-549/src'
/opt/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -D__STDC_CONSTANT_MACROS -I/opt/include -I/opt/include/ffmpeg -I/opt/include/libxml2 -I/opt/include -D_FILE_OFFSET_BITS=64 -g -O2 -DDISABLE_TRANSCODING -MT UPnPAction.lo -MD -MP -MF .deps/UPnPAction.Tpo -c -o UPnPAction.lo `test -f 'lib/UPnPActions/UPnPAction.cpp' || echo './'`lib/UPnPActions/UPnPAction.cpp
mkdir .libs
g++ -DHAVE_CONFIG_H -I. -D__STDC_CONSTANT_MACROS -I/opt/include -I/opt/include/ffmpeg -I/opt/include/libxml2 -I/opt/include -D_FILE_OFFSET_BITS=64 -g -O2 -DDISABLE_TRANSCODING -MT UPnPAction.lo -MD -MP -MF .deps/UPnPAction.Tpo -c lib/UPnPActions/UPnPAction.cpp -fPIC -DPIC -o .libs/UPnPAction.o
lib/UPnPActions/UPnPAction.cpp: In constructor 'CUPnPBrowseSearchBase::CUPnPBrowseSearchBase(UPNP _DEVICE_TYPE, int, std::string)':
lib/UPnPActions/UPnPAction.cpp:29: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.


nothing suspicious looking in the code either .cpp or .h, so any ideas welcome!

mumsoft
10-01-2008, 21:43
Maybe this can be of some help:

http://wl500g.info/showthread.php?t=9387

Marc

neil
14-01-2008, 12:31
Many thanks - yeh, there were a few pointers in there that helped, but it turned out that it would compile OK without the -O2 flag (optimisations right?); anyways, i have successfully compiled version SVN549 of fuppes on the wl700ge, my xbox360 sees it happily, although doesn't actually see any of the files - i think this is a configuration issue, as i've googled around and its a common problem unless config'd right.

I'll post a full how-to on compiling/configuring fuppes, and getting it to play nice with xbox360 in a few days, once i've sorted it ;)

mumsoft
14-01-2008, 12:56
I'll post a full how-to on compiling/configuring fuppes, and getting it to play nice with xbox360 in a few days, once i've sorted it ;)

That's fine. I hope you do. I might try fuppes then too. Must admit I never had heard of it before. If it can replace Twonky and mt-daapd (Firefly) at the same time I would be glad. But I doubt. I find Twonky very good, but it does not transcode. I find mt-daapd very good, and the maintainer is very responsive. But not all mediaplayers can use it.
So, I suspect that fuppes will have some quirck somewhere too.

Marc